Subject: [core] DTLS Authentication

From: Behcet Sarikaya <[email-masked]>
Date: Wed, 1 Aug 2012 20:24:04 -0500

Hi Zach,

DTLS is not an authentication protocol. DTLS is used to secure UDP (or
datagram) communication on top of which CoAP application is built.

We explained the relationship of authentication with DTLS in Appendix C.1
2.  Use of EAP for bootstrapping higher-layer security.

I hope this clarifies and also suggests that you please read the draft
which is going to help you understand the difference between secure
bootstrapping and DTLS.

Regards,

Behcet